function db = Dbasis(x);
% derivative of the basis 
% for cubic interpolation
%%%%%%%%%%%%%%%%%%%%%%%%%%

db = zeros(size(x));

dom1 = find((x>=-2)&(x<-1));
db(dom1) = 0.5*(2+x(dom1)).^2;

dom2 = find((x>=-1)&(x<0));
db(dom2) = -3/2*x(dom2).^2 - 2*x(dom2);

dom3 = find((x>=0)&(x<1));
db(dom3) = 3/2*x(dom3).^2 - 2*x(dom3);

dom4 = find((x>=1)&(x<2));
db(dom4) = -0.5*(2-x(dom4)).^2;
